Bug 103228 - Selected area fill doesnt retain when jumping to other tab
Summary: Selected area fill doesnt retain when jumping to other tab
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2016-10-15 02:51 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-10-29 11:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-15 02:51:53 UTC
Steps:
1) Open writer
2) Draw a shape
3) Context menu > Area
4) Select a gradient
5) Switch to transparency tab
6) Transparency not using gradient
7) Switch back to area tab
8) Gradient not selected

Version: 5.3.0.0.alpha0+
Build ID: 45a7137c6796f33fbf5b8f7cb64e293260d991cb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-13_23:38:06
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Joel Madero 2016-10-16 05:27:35 UTC
Version: 5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

Can't confirm.
Comment 2 Regina Henschel 2016-10-16 15:20:37 UTC
Confirm with Version: 5.3.0.0.alpha0+
Build ID: 92874f2f134d28b77163a21ff5d04c5234ca65b2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-14_23:23:40
Locale: de-DE (de_DE); Calc: group
Comment 3 Commit Notification 2016-11-14 14:35:27 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ada8a2123ea655142be74a11c23e042a0109d5f8

tdf#103228: Remember fill type when switching between tabs

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (Inactive) 2016-11-14 14:38:10 UTC
Hey good people, please test if the patch helps and report back. Thx
Comment 5 Buovjaga 2016-11-21 09:08:03 UTC
Works ok now.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha1+
Build ID: 172325bedf69bbc162f3c1948264451c90c105a3
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-11-21_05:26:40
Locale: fi-FI (fi_FI); Calc: group